| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# INTuple Class Reference

`#include <GaudiKernel/INTuple.h>`

Inheritance diagram for INTuple:

[legend]
List of all members.

## Detailed Description

NTuple interface class definition.

Definition of the interface to an Ntuple class beeing a sequence(=Item) of data entries.

Author:
  M.Frank

Definition at line 80 of file INTuple.h.

## Public Types
typedef std::vector< INTupleItem * > | ItemContainer
## Public Member Functions
virtual ItemContainer & | items ()=0
| Access item container.
virtual const ItemContainer & | items () const=0
| Access item container (CONST).
virtual void | setBuffer (char *buff)=0
| Attach data buffer.
virtual const char * | buffer () const=0
| Access data buffer (CONST).
virtual char * | buffer ()=0
| Access data buffer.
virtual const std::string & | title () const=0
| Object title.
virtual void | reset ()=0
| Reset all entries to their default values.
virtual const INTupleItem * | find (const std::string &name) const =0
| Find an item row of the Ntuple (CONST).
virtual INTupleItem * | find (const std::string &name)=0
| Find an item row of the Ntuple.
virtual StatusCode | add (INTupleItem *item)=0
| Add an item row to the N tuple.
virtual StatusCode | remove (INTupleItem *item)=0
| Remove an item row (identified by pointer) from the N tuple.
virtual StatusCode | remove (const std::string &name)=0
| Remove an item row (identified by name) from the N tuple.
virtual StatusCode | attachSelector (ISelectStatement *sel)=0
| Attach selector.
virtual ISelectStatement * | selector ()=0
| Access selector.
virtual StatusCode | write ()=0
| Write record of the NTuple (Shortcut of writeRecord).
virtual StatusCode | writeRecord ()=0
| Write record of the NTuple.
virtual StatusCode | read ()=0
| Read record of the NTuple (Shortcut of readRecord).
virtual StatusCode | readRecord ()=0
| Read record of the NTuple.
virtual StatusCode | save ()=0
| Save the NTuple.
virtual | ~INTuple ()
## Protected Member Functions
virtual INTupleItem * | i_find (const std::string &name) const =0
| Internally used by abstract classes.

## Member Typedef Documentation

typedef std::vector< INTupleItem* > INTuple::ItemContainer

Definition at line 86 of file INTuple.h.

## Constructor & Destructor Documentation

virtual INTuple::~INTuple | ( |  | ) | `[inline, virtual]`

Definition at line 125 of file INTuple.h.

    00125 {}

## Member Function Documentation

virtual INTupleItem* INTuple::i_find | ( | const std::string & | name | ) | const`[protected, pure virtual]`

Internally used by abstract classes.

Implemented in NTuple::TupleImp.

Referenced by NTuple::Tuple::i_addItem(), NTuple::Tuple::i_addObject(), and NTuple::Tuple::i_item().

virtual ItemContainer& INTuple::items | ( |  | ) | `[pure virtual]`

Access item container.

Implemented in NTuple::TupleImp.

Referenced by PoolDbNTupleCnv::bindRead(), PoolDbNTupleCnv::bindWrite(), RootHistCnv::RCWNTupleCnv::book(), CollectionCloneAlg::book(), CollectionCloneAlg::checkInput(), PoolDbTupleCallback::configure(), PoolDbNTupleCnv::createRep(), HbookCnv::HCWNTupleCnv::declare(), GaudiAlg::PrintTuple::print(), RootHistCnv::RCWNTupleCnv::readData(), HbookCnv::HRWNTupleCnv::readData(), HbookCnv::HCWNTupleCnv::readData(), PoolDbNTupleCnv::readData(), RootHistCnv::RCWNTupleCnv::writeData(), HbookCnv::HRWNTupleCnv::writeData(), and HbookCnv::HCWNTupleCnv::writeData().

virtual const ItemContainer& INTuple::items | ( |  | ) | const`[pure virtual]`

Access item container (CONST).

Implemented in NTuple::TupleImp.

virtual void INTuple::setBuffer | ( | char * | buff | ) | `[pure virtual]`

Attach data buffer.

Implemented in NTuple::TupleImp.

Referenced by RootHistCnv::RCWNTupleCnv::book(), HbookCnv::HCWNTupleCnv::declare(), RootHistCnv::RCWNTupleCnv::load(), and HbookCnv::HCWNTupleCnv::load().

virtual const char* INTuple::buffer | ( |  | ) | const`[pure virtual]`

Access data buffer (CONST).

Implemented in NTuple::TupleImp.

Referenced by HbookCnv::HCWNTupleCnv::load(), RootHistCnv::RCWNTupleCnv::readData(), HbookCnv::HCWNTupleCnv::readData(), RootHistCnv::RCWNTupleCnv::writeData(), and HbookCnv::HCWNTupleCnv::writeData().

virtual char* INTuple::buffer | ( |  | ) | `[pure virtual]`

Access data buffer.

Implemented in NTuple::TupleImp.

virtual const std::string& INTuple::title | ( |  | ) | const`[pure virtual]`

Object title.

Implemented in NTuple::TupleImp.

Referenced by RootHistCnv::RCWNTupleCnv::book(), HbookCnv::HCWNTupleCnv::book(), CollectionCloneAlg::book(), PoolDbNTupleCnv::createRep(), GaudiAlg::PrintTuple::print(), HbookCnv::HCWNTupleCnv::readData(), and RootHistCnv::RRWNTupleCnv::writeData().

virtual void INTuple::reset | ( |  | ) | `[pure virtual]`

Reset all entries to their default values.

Implemented in NTuple::TupleImp.

Referenced by RootHistCnv::RRWNTupleCnv::writeData(), RootHistCnv::RCWNTupleCnv::writeData(), and HbookCnv::HCWNTupleCnv::writeData().

virtual const INTupleItem* INTuple::find | ( | const std::string & | name | ) | const`[pure virtual]`

Find an item row of the Ntuple (CONST).

Implemented in NTuple::TupleImp.

Referenced by CollectionCloneAlg::checkInput(), and NTuple::_DataImp< TYP >::indexItem().

virtual INTupleItem* INTuple::find | ( | const std::string & | name | ) | `[pure virtual]`

Find an item row of the Ntuple.

Implemented in NTuple::TupleImp.

virtual StatusCode INTuple::add | ( | INTupleItem * | item | ) | `[pure virtual]`

Add an item row to the N tuple.

Implemented in NTuple::TupleImp.

Referenced by createItem(), NTuple::Tuple::i_addItem(), NTuple::Tuple::i_addObject(), RootHistCnv::RCWNTupleCnv::load(), and HbookCnv::HCWNTupleCnv::load().

virtual StatusCode INTuple::remove | ( | INTupleItem * | item | ) | `[pure virtual]`

Remove an item row (identified by pointer) from the N tuple.

Implemented in NTuple::TupleImp.

virtual StatusCode INTuple::remove | ( | const std::string & | name | ) | `[pure virtual]`

Remove an item row (identified by name) from the N tuple.

Implemented in NTuple::TupleImp.

virtual StatusCode INTuple::attachSelector | ( | ISelectStatement * | sel | ) | `[pure virtual]`

Attach selector.

Implemented in NTuple::TupleImp.

Referenced by EventCollectionSelector::connectStatement().

virtual ISelectStatement* INTuple::selector | ( |  | ) | `[pure virtual]`

Access selector.

Implemented in NTuple::TupleImp.

Referenced by EventCollectionSelector::getNextRecord(), EventCollectionSelector::getPreviousRecord(), and PoolDbNTupleCnv::updateObj().

virtual StatusCode INTuple::write | ( |  | ) | `[pure virtual]`

Write record of the NTuple (Shortcut of writeRecord).

Implemented in NTuple::TupleImp.

Referenced by Tuples::TupleObj::write().

virtual StatusCode INTuple::writeRecord | ( |  | ) | `[pure virtual]`

Write record of the NTuple.

Implemented in NTuple::TupleImp.

virtual StatusCode INTuple::read | ( |  | ) | `[pure virtual]`

Read record of the NTuple (Shortcut of readRecord).

Implemented in NTuple::TupleImp.

virtual StatusCode INTuple::readRecord | ( |  | ) | `[pure virtual]`

Read record of the NTuple.

Implemented in NTuple::TupleImp.

virtual StatusCode INTuple::save | ( |  | ) | `[pure virtual]`

Save the NTuple.

Implemented in NTuple::TupleImp.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/INTuple.h